Bug 1355800 - RHSCL python33: Build does not stop upon encountering test failures
Summary: RHSCL python33: Build does not stop upon encountering test failures
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python33
Version: python33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Python Maintainers
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 14:43 UTC by Tomas Orsava
Modified: 2017-03-31 14:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 14:58:36 UTC


Attachments (Terms of Use)
Build log for rhscl-2.2-python33-rhel-6 (5.93 MB, text/plain)
2016-07-12 14:43 UTC, Tomas Orsava
no flags Details
Patch so that build fails when encountering test failures (1.42 KB, patch)
2016-07-12 14:47 UTC, Tomas Orsava
no flags Details | Diff
Build log for rhscl-2.2-python33-rhel-7 (6.96 MB, text/plain)
2016-07-12 15:01 UTC, Tomas Orsava
no flags Details

Description Tomas Orsava 2016-07-12 14:43:37 UTC
Created attachment 1178933 [details]
Build log for rhscl-2.2-python33-rhel-6

Description of problem:
When building Python from the python33 software collections, the build finishes successfully even though several tests result in failures.


Version-Release number of selected component (if applicable):
rhscl-2.2-python33-rhel-7
rhscl-2.2-python33-rhel-6


How reproducible:
Every time


Steps to Reproduce:
1. fedpkg clone python
2. git checkout rhscl-2.2-python33-rhel-7
3. fedpkg srpm
4. brew build --scratch rhscl-2.2-python33-rhel-7-candidate *.src.rpm


Actual results:
The build finishes successfully even though several test failures for both rhel 6 and rhel 7 versions are encountered.
See attached build log for rhscl-2.2-python33-rhel-6.


Expected results:
Build fails when test failures are encountered.


Additional info:
The issue was fixed in all other Pythons in SCLs (python27, rh-python34, rh-python35), however this one was omitted by mistake.

Comment 1 Tomas Orsava 2016-07-12 14:47:13 UTC
Created attachment 1178934 [details]
Patch so that build fails when encountering test failures

I'm attaching a patch that fixes the issue.

Comment 2 Tomas Orsava 2016-07-12 14:57:39 UTC
These are the tests that fail. Note that the tests are run twice, once in 'debug' mode and once in 'optimized' mode. I combined the test failures from both runs into one list for each RHEL version.

RHEL 7: test_distutils test_gc

RHEL 6: test_distutils test_gc test_ssl (2 different issues) test_urllib

Comment 3 Tomas Orsava 2016-07-12 15:01:12 UTC
Created attachment 1178938 [details]
Build log for rhscl-2.2-python33-rhel-7

I'm also attaching the build log for RHEL 7.

Brew scratch build for RHEL 6:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11336934

Brew scratch build for RHEL 7:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11337279

Comment 10 Joe Orton 2016-10-12 12:31:00 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 11 Joe Orton 2017-03-31 14:58:36 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.